package ru.yandex.autotests.directapi.model.api5.negativekeywordsharedsets;

import java.util.List;

import com.yandex.direct.api.v5.negativekeywordsharedsets.NegativeKeywordSharedSetUpdateItem;

import ru.yandex.autotests.direct.utils.model.ModelBeanMap;

public class NegativeKeywordSharedSetUpdateItemMap extends ModelBeanMap<NegativeKeywordSharedSetUpdateItemMap> {
    public static final String ID = "id";
    public static final String NAME = "name";
    public static final String NEGATIVE_KEYWORDS = "negativeKeywords";

    public NegativeKeywordSharedSetUpdateItemMap() {
        super();
        setBean(new NegativeKeywordSharedSetUpdateItem());
    }

    public NegativeKeywordSharedSetUpdateItemMap put(String fieldName, Object value) {
        super.put(fieldName, value);
        return this;
    }

    public NegativeKeywordSharedSetUpdateItemMap withId(Long id) {
        this.put(ID, id);
        return this;
    }

    public NegativeKeywordSharedSetUpdateItemMap withName(String name) {
        this.put(NAME, name);
        return this;
    }

    public NegativeKeywordSharedSetUpdateItemMap withNegativeKeywords(List<String> negativeKeywords) {
        this.put(NEGATIVE_KEYWORDS, negativeKeywords);
        return this;
    }
}
